﻿@model eCommerce.Services.Model.BankPromotion
@{
    ViewBag.Title = "Promoción con banco";
	Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Promoción con banco</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("BankPromotionUpdate", "BankPromotions", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Título</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Title" id="Title" value="@Model.Title" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Seo Url</label>
                            <div class="col-sm-7">
                                <div class="input-group">
                                    <span class="input-group-addon seourl-prefix">/beneficios/131-beneficios-en-sucursales</span>
                                    <input type="text" class="form-control" id="SeoUrl" name="SeoUrl" value="@Model.SeoUrl">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Contenido</label>
                            <div class="col-sm-9">
                                <div id="summernote" name="summernote" data-plugin="summernote">
                                    @Html.Raw(Model.Content)
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Imágen</label>
                            <div class="col-sm-5">
                                <input type="file" name="image" id="image" data-plugin="dropify" data-default-file="@ViewData["Image"]" />
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="button" class="btn btn-success" onclick="save()"><i class="icon wb-check" aria-hidden="true"></i> Grabar</button>
                            <input type="submit" id="btnSave" style="display:none;" />
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/BankPromotions'">Cancelar</button>
                            @Html.HiddenFor(model => model.BankPromotionId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                        <input type="text" name="hidHtml" id="hidHtml" style="display:none;" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    },
                    Benefit: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    }
                }
            });
        })();

        $('#summernote').summernote({
            toolbar: [
                ['style', ['bold', 'italic', 'underline', 'clear']],
                ['fontsize', ['fontsize']],
                ['insert', ['link', 'picture']],
                ['misc', ['codeview']]
            ]
        });

        $("#Title").keyup(function () {
            var url = $(this).val().toLowerCase().replace(/[^a-z0-9\s]/gi, '').replace(/[_\s]/g, '-');
            $("#SeoUrl").val(url);
        });

        var save = function () {
            debugger;
            var html = encodeURIComponent($("#summernote").summernote('code'));
            $("#hidHtml").val(html);
            $("#btnSave").click();
        };

        var drEvent = $('#Icon').dropify();
        drEvent.on('dropify.beforeClear', function (event, element) { $("#flagDelete").val(true); });

    </script>
}

